Package: org.codehaus.groovy.tools.groovydoc

## [Java] Class ClasspathResourceManager

- org.codehaus.groovy.tools.groovydoc.ClasspathResourceManager

- All Implemented Interfaces and Traits:
    ResourceManager

      public class ClasspathResourceManager
      extends Object
      implements ResourceManager

  Loads documentation resources from the classpath.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `ClasspathResourceManager()` Creates a resource manager backed by this class's class loader.
    `ClasspathResourceManager(ClassLoader classLoader)` Creates a resource manager backed by the supplied class loader.

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public InputStream` | `getInputStream(String resourceName)` Opens the named resource as an input stream.
    `` | `public Reader` | `getReader(String resourceName)` * Returns a reader for the named resource. * * throws: IOException if the resource cannot be opened Parameters: `resourceName` - the resource to open * Returns: a reader for the resource *

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### public ClasspathResourceManager()

      Creates a resource manager backed by this class's class loader.

    - #### public ClasspathResourceManager(ClassLoader classLoader)

      Creates a resource manager backed by the supplied class loader.

      Parameters:
        `classLoader` - the class loader to use for resource lookups

  - ### Method Detail

    - #### public InputStream getInputStream(String resourceName)

      Opens the named resource as an input stream.

      Parameters:
        `resourceName` - the classpath resource to load
      Returns:
        the resource stream, or `null` if the resource does not exist

    - #### public Reader getReader(String resourceName)

      * Returns a reader for the named resource. * *

      throws:
        IOException if the resource cannot be opened
      Parameters:
        `resourceName` - the resource to open *
      Returns:
        a reader for the resource *